FruxonDocs
ApiIntegration config sandbox

List sandbox snapshots.

Returns all user-created snapshots for this integration config's sandbox, ordered by creation time. Automatic snapshots (created by evaluation runs) are excluded.

GET
/v1/tenants/{tenant}/integrations/{integration}/configs/{config}/sandbox/snapshots
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

config*string

The integration config id whose snapshots to list.

Formatuuid
tenant*string

The tenant identifier

integration*string

The integration identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/integrations/string/configs/497f6eca-6276-4993-bfeb-53cbbbba6f08/sandbox/snapshots"
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "integrationConfigId": "00000000-0000-0000-0000-000000000000",
    "displayName": "string",
    "description": "string",
    "entityCount": 0,
    "sequenceCount": 0,
    "createdAt": 0
  }
]
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}